> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agency Users By Id

> Get the agency users



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/agency/billing/{agency_id}/billing_plan/list
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/agency/billing/{agency_id}/billing_plan/list:
    get:
      tags:
        - Agency Billing
      summary: Get Agency Users By Id
      description: Get the agency users
      operationId: >-
        get_agency_users_by_id_api_v1_agency_billing__agency_id__billing_plan_list_get
      parameters:
        - name: agency_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agency Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponsePaginated_IBillingPlanRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_IBillingPlanRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_IBillingPlanRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[IBillingPlanRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_IBillingPlanRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/IBillingPlanRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[IBillingPlanRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IBillingPlanRead:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        bots_count:
          type: integer
          title: Bots Count
        queries_count:
          type: integer
          title: Queries Count
        words_count:
          type: integer
          title: Words Count
        voice_seconds:
          type: integer
          title: Voice Seconds
        premium_support:
          type: boolean
          title: Premium Support
        default_plan:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Default Plan
          default: false
        remove_branding:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Remove Branding
          default: false
        advanced_intents:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Advanced Intents
          default: false
        auto_intents:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Auto Intents
          default: false
        billing_plan_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Billing Plan Group
        credits:
          additionalProperties: true
          type: object
          title: Credits
          default: {}
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        agency_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agency Id
        id:
          type: string
          format: uuid
          title: Id
        user_count:
          type: integer
          title: User Count
          default: 0
        plan_lookup_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan Lookup Key
      type: object
      required:
        - name
        - description
        - bots_count
        - queries_count
        - words_count
        - voice_seconds
        - premium_support
        - id
      title: IBillingPlanRead
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````